package com.qmth.sop.business.bean.result;

import com.qmth.sop.business.entity.TBDingApply;
import io.swagger.annotations.ApiModelProperty;

import java.io.Serializable;
import java.util.List;

/**
 * @Description: 考勤异常申请信息view result
 * @Param:
 * @return:
 * @Author: wangliang
 * @Date: 2023/2/17
 */
public class TBDingApplyViewResult implements Serializable {

    @ApiModelProperty(value = "crm信息")
    CrmProjectResult crmInfo;

    @ApiModelProperty(value = "考勤异常申请信息")
    TBDingApply tbDingApply;

    @ApiModelProperty(value = "流程审批信息")
    List<TFFlowViewLogResult> flowApproveHistoryList;

    public TBDingApplyViewResult() {

    }

    public TBDingApplyViewResult(CrmProjectResult crmInfo, TBDingApply tbDingApply) {
        this.crmInfo = crmInfo;
        this.tbDingApply = tbDingApply;
    }

    public TBDingApplyViewResult(CrmProjectResult crmInfo, TBDingApply tbDingApply, List<TFFlowViewLogResult> flowApproveHistoryList) {
        this.crmInfo = crmInfo;
        this.tbDingApply = tbDingApply;
        this.flowApproveHistoryList = flowApproveHistoryList;
    }

    public List<TFFlowViewLogResult> getFlowApproveHistoryList() {
        return flowApproveHistoryList;
    }

    public void setFlowApproveHistoryList(List<TFFlowViewLogResult> flowApproveHistoryList) {
        this.flowApproveHistoryList = flowApproveHistoryList;
    }

    public CrmProjectResult getCrmInfo() {
        return crmInfo;
    }

    public void setCrmInfo(CrmProjectResult crmInfo) {
        this.crmInfo = crmInfo;
    }

    public TBDingApply getTbDingApply() {
        return tbDingApply;
    }

    public void setTbDingApply(TBDingApply tbDingApply) {
        this.tbDingApply = tbDingApply;
    }
}
