package com.qmth.sop.business.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.qmth.sop.business.bean.result.CrmAnalyseResult;
import com.qmth.sop.business.bean.result.TBCrmResult;
import com.qmth.sop.business.entity.TBCrm;
import org.apache.ibatis.annotations.Param;

import java.util.List;
import java.util.Map;

/**
 * <p>
 * </p>
 *
 * @author dhshu
 *
 */
public interface CrmAnalyseMapper extends BaseMapper<TBCrm> {


    Map<String,Object> countCustomType(@Param("year") String year);

    IPage<TBCrmResult> crmDetail(Page<Object> iPage, @Param("year") String year, @Param("month") String month, @Param("crmYear") String crmYear, @Param("type") String type,@Param("supplierId") Long supplierId,@Param("regionId") Long regionId,@Param("serviceId") Long serviceId);

    default IPage<TBCrmResult> crmDetail(Page<Object> iPage,String year, String type) {
        return crmDetail(iPage,year,null,null,type,null,null,null);
    }

    List<Map<String,String>> monthly(@Param("year") String year,@Param("type") String type);

    default IPage<TBCrmResult> crmDetail(Page<Object> iPage, String year, String month, String type) {
        return crmDetail(iPage,year,month,null,type,null,null,null);
    }

    List<CrmAnalyseResult> supplier(@Param("year") String year);

    default IPage<TBCrmResult> crmDetail(Page<Object> iPage, String year,  Long supplierId) {
        return crmDetail(iPage,null,null,year,null,supplierId,null,null);
    }

    List<CrmAnalyseResult> region(@Param("year") String year, @Param("type") String type);

    default IPage<TBCrmResult> crmDetail(Page<Object> iPage,  String year, Long regionId, String type) {
        return crmDetail(iPage,year,null,null,type,null,regionId,null);
    }

    default IPage<TBCrmResult> crmDetail(Page<Object> iPage, Long serviceId, String year) {
        return crmDetail(iPage,year,null,null,null,null,null,serviceId);
    }

    List<CrmAnalyseResult> project(@Param("year") String year);
}
