package com.qmth.sop.business.service;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.IService;
import com.qmth.sop.business.bean.result.TBCrmResult;
import com.qmth.sop.business.bean.result.CrmAnalyseResult;
import com.qmth.sop.business.entity.TBCrm;
import com.qmth.sop.common.enums.ProductTypeEnum;

import java.util.List;
import java.util.Map;


/**
 * @author dhshu
 * @date:
 */
public interface CrmAnalyseService extends IService<TBCrm> {
    Map<String,Object> countCustomType(String year);

    IPage<TBCrmResult> customTypeDetail(Page<Object> objectPage, String year, ProductTypeEnum type);

    Map<String, List<Map<String,String>>> monthly(String year, ProductTypeEnum type);

    IPage<TBCrmResult> monthlyDetail(Page<Object> objectPage, String year, String month, ProductTypeEnum type);

    List<CrmAnalyseResult> supplier(String year);

    IPage<TBCrmResult> supplierDetail(Page<Object> objectPage, String year, Long supplierId);

    Map<String, List<CrmAnalyseResult>> region(String year, ProductTypeEnum type);

    IPage<TBCrmResult> regionDetail(Page<Object> objectPage, String year, Long regionId, ProductTypeEnum type);

    List<CrmAnalyseResult> project(String year);

    IPage<TBCrmResult> projectDetail(Page<Object> objectPage, String year, Long serviceId);
}
